commit:     0ea987dcbbc8c663e48f78c6ebb2454977cef1f6
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 01:39:19 2020 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Fri Oct  9 03:39:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ea987dc

sci-visualization/tensorboard: bump 2.3.0

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-2.3.0.ebuild           | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest 
b/sci-visualization/tensorboard/Manifest
index 78d8909c946..248a8652d06 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1,2 +1,3 @@
 DIST tensorboard-2.1.0.zip 3835182 BLAKE2B 
c2c7dbc1ba4b85c52df6e693e1bd425bd76fe6db7ca25582b57d9c65c68b191dcdba2623ab0560139f1cac1bdf5c7a47261daaaf51fca46f2c5bf441f832a6fd
 SHA512 
7463ace0863b90312a62a7fa96f4eca0147e85cf46ff21729f8996a794d54e14d876d3abe083d6aa4efd8e4e1582f7d5029de367f199981a34d4057b558bc51c
 DIST tensorboard-2.2.1.zip 2950617 BLAKE2B 
487ad01981f994b23cb5fca8b60d9ed5f13ba13735d2613d1f3154eec9791b4b3068fb9fd50e75e16682e09ceb8a9ed8533ca2c43b6dea73db3adaeef15a889b
 SHA512 
e96f8853d282dc19911cf2210ece0a4d7239f37dcba82e91697c80881fbcc21f12e4ba3e7d2eea7a84c9bb5b6521bf488d93d2312e55af9ec2d2c20f135d94fa
+DIST tensorboard-2.3.0.zip 6789437 BLAKE2B 
34fe0ac903f6b79fc1ddebd2fab3d64e48a4ef9bb6159494e6b3ec5444ab6ad339f5ca7e4e478ec03dc7a788bbce6a4bd3ce253640136079a7a470f01f7b3a48
 SHA512 
d4cfdc8dbf030c022ecd635249f643d158c92274b142cd3de93cd8877c47cf59b9aca9aab12a971b986b84c7396bed3d7a012837b08d9dee6b0e53dc56e9fcbe

diff --git a/sci-visualization/tensorboard/tensorboard-2.3.0.ebuild 
b/sci-visualization/tensorboard/tensorboard-2.3.0.ebuild
new file mode 100644
index 00000000000..9d1a9356334
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-2.3.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit python-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/";
+SRC_URI="https://files.pythonhosted.org/packages/py3/${PN::1}/${PN}/${P}-py3-none-any.whl
 -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/bleach[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.6.3[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-oauthlib-0.4.1[${PYTHON_USEDEP}]
+       dev-python/grpcio[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       dev-python/wheel[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip
+       ${PYTHON_DEPS}"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+       eapply_user
+
+       rm -rf "${S}/${PN}/_vendor/bleach" || die
+       rm -rf "${S}/${PN}/_vendor/html5lib" || die
+       sed -i -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' 
"${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+
+       find "${S}/${PN}" -name '*.py' -exec sed -i \
+               -e 's/^from tensorboard\._vendor import html5lib/import 
html5lib/' \
+               -e 's/^from tensorboard\._vendor import bleach/import bleach/' \
+               -e 's/^from tensorboard\._vendor\.html5lib/from html5lib/' \
+               -e 's/^from tensorboard\._vendor\.bleach/from bleach/' \
+               {} + || die "failed to unvendor"
+
+       sed -i -e '/tensorboard-plugin-/d' "${S}/${P}.dist-info/METADATA" || 
die "failed to remove plugin deps"
+}
+
+src_install() {
+       do_install() {
+               python_domodule "${PN}"
+               python_domodule "${P}.dist-info"
+       }
+       python_foreach_impl do_install
+}

Reply via email to